classification
Title: pyexpat.c: refleak
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.3
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: Suman.Saha, petri.lehtinen
Priority: normal Keywords: needs review, patch

Created on 2011-09-20 14:55 by Suman.Saha, last changed 2011-10-25 18:04 by petri.lehtinen. This issue is now closed.

Files
File name Uploaded Description Edit
python_patch5 Suman.Saha, 2011-09-20 14:55 Patch review
Messages (2)
msg144334 - (view) Author: Suman Saha (Suman.Saha) Date: 2011-09-20 14:55
Something that is allocated using conv_content_model is not freed on one error path.
msg146385 - (view) Author: Petri Lehtinen (petri.lehtinen) * (Python committer) Date: 2011-10-25 18:04
The patch is not correct: modelobj must not be decref'd, because it has been inserted to the args tuple with the reference-stealing 'N' format. args is later decref'd in function's cleanup code after "finally:".
History
Date User Action Args
2011-10-25 18:04:43petri.lehtinensetstatus: open -> closed
messages: + msg146385

keywords: - after moratorium
resolution: rejected
stage: patch review -> resolved
2011-10-24 07:03:53petri.lehtinensetkeywords: + patch, needs review, after moratorium
nosy: + petri.lehtinen
2011-09-21 19:28:08skrahsetstage: patch review
components: + Extension Modules
versions: + Python 3.3
2011-09-21 19:26:07skrahsettitle: Resource is not released before returning from the functiion -> pyexpat.c: refleak
2011-09-20 14:55:20Suman.Sahacreate